
#include <stdio.h>
#include "FreeRTOS.h"


#include "leds.h"


static portTASK_FUNCTION(vLEDTask, pvParameters __attribute__((unused)))
{


  // Set LED as output
  LEDS_REG_IODIR |= (1 << LEDS_LED18);
  LEDS_REG_IODIR |= (1 << LEDS_LED13);
  // Turn LED off (set it 'high')
  LEDS_REG_IOSET |= (1 << LEDS_LED18);
  LEDS_REG_IOSET |= (1 << LEDS_LED13);
  for (;;)
  {


      LEDS_REG_IOCLR |= (1 << LEDS_LED18);

      LEDS_REG_IOCLR |= (1 << LEDS_LED13);

    vTaskDelay(1000);

    LEDS_REG_IOSET |= (1 << LEDS_LED18);

          LEDS_REG_IOSET |= (1 << LEDS_LED13);
          vTaskDelay(1000);



  }
}


signed portBASE_TYPE ledsTaskStart (void)
{
  return xTaskCreate (vLEDTask,  (const signed portCHAR * const) "LED", configMINIMAL_STACK_SIZE, NULL, 2, NULL);
}
