
#ifndef _LEDS_H_
#define _LEDS_H_

#include "FreeRTOS.h"
#include "task.h"


#define LEDS_LED18        18            // The IO pin that the LED is attached to P1.18
#define LEDS_LED13        13            // The IO pin that the LED is attached to P1.13
#define LEDS_REG_IOPIN  IOPIN1  // IOPIN register corresponding to LEDS_LED pin
#define LEDS_REG_IODIR  IODIR1  // IODIR register corresponding to LEDS_LED pin
#define LEDS_REG_IOSET  IOSET1  // IOSET register corresponding to LEDS_LED pin
#define LEDS_REG_IOCLR  IOCLR1  // IOCLR register corresponding to LEDS_LED pin


signed portBASE_TYPE ledsTaskStart (void);



#endif
